# Creating a new Exchange Table

Creates a new exchange table.

Endpoint: POST /foreign_exchange/exchange_tables
Version: 1.0.0

## Query parameters:

  - `name` (string, required)
    Give a name for your new exchange table.

  - `account_default` (boolean)
    If true, sets the exchange table to be the default
            for currency conversions across your entire account.
            This includes currency conversions in Insights reports, unless you set a different table
            as the insights_account_default.

  - `insights_account_default` (boolean)
    If true, sets the exchange table to be
            the default for currency conversions in Insights reports.
            The insights_account_default exchange table must have 400 or fewer currency pairs
            in order for exchange rates information to display in Insights reports.

## Response 200 fields (application/json):

  - `count` (integer)
    Number of exchange tables in the response.

  - `meta` (object)

  - `meta.count` (integer)
    Number of exchange tables in the response.

  - `meta.page_count` (integer)
    Number of pagination pages available.

  - `meta.page_number` (integer)
    Current pagination page.

  - `meta.page_size` (integer)
    Number of elements in a pagination page.

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)
    The ID of the exchange table.

  - `exchange_tables` (object)

  - `exchange_tables.id` (object)

  - `exchange_tables.id.id` (string)
    The ID of the exchange table.

  - `exchange_tables.id.name` (string)
    The name of the exchange table.

  - `exchange_tables.id.account_default` (boolean)
    If true, this is set as the default exchange table for currency conversions across your entire account.

  - `exchange_tables.id.insights_account_default` (boolean)
    If true, this is set as the default exchange table for currency conversions in Insights reports.

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


